Package: org.gmetrics.metric.coverage

## [Groovy] Class CoberturaLineCoverageMetric

- org.gmetrics.metric.coverage.CoberturaLineCoverageMetric

- Metric for test code coverage by line (line-rate) from a Cobertura XML file.

  See Also:
  Authors:
    Chris Mair

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractCoberturaCoverageMetric` | `LOG, ROUNDING_MODE, SCALE`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `attributeName`
    `String` | `name`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Ratio` | `getCoverageRatioForSingleClass(def matchingClassElement)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractCoberturaCoverageMetric` | `applyToClosure, applyToMethod, calculate, calculateForClass, calculateForPackage, calculateMethodResult, findMethodElement, getAttributeName, getCoverageRatioForClass, getCoverageRatioForSingleClass`
    `class AbstractMetric` | `applyToClass, applyToPackage, calculateForClass, calculateForPackage, createAggregateMetricResult, isNotAnInterface`

- - ### Property Detail

    - #### final String attributeName

    - #### final String name

  - ### Method Detail

    - #### @Override protected Ratio getCoverageRatioForSingleClass(def matchingClassElement)